Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1055)
@@ -2098,13 +2250,13 @@
                           if(!G4QHadron(tot4M).DecayIn3(h14M,h24M,e4M)) //                ^
                           {                   //                                          ^
-				                        G4cerr<<"***G4QE::HQE:(0)tM="<<tot4M.m()<<"->h1="<<h1QPDG //  ^
+                            G4cerr<<"***G4QE::HQE:(0)tM="<<tot4M.m()<<"->h1="<<h1QPDG //  ^
                                   <<"("<<h1M<<")+h2="<<h1QPDG<<"("<<h2M<<")+envM="<<envM//^
                                   <<"=="<<h1M+h2M+envM<<G4endl; //                        ^
-				                        throw G4QException("**G4QE::HadrQEnv:QChip+E DecIn3 error");//^
-			                       }                   //                                          ^
+                            throw G4QException("**G4QE::HadrQEnv:QChip+E DecIn3 error");//^
+                          }                   //                                          ^
                           G4QHadron* h1H = new G4QHadron(h1QPDG.GetPDGCode(),h14M); //    ^
                           theQHadrons.push_back(h1H);        // (delete equivalent)       ^
 #ifdef pdebug
-						                    G4cout<<"G4QE::HQE:(1) H1="<<h1QPDG<<h14M<<G4endl;        //    ^
+                          G4cout<<"G4QE::HQE:(1) H1="<<h1QPDG<<h14M<<G4endl;        //    ^
 #endif
                           G4QHadron* h2H = new G4QHadron(h2QPDG.GetPDGCode(),h24M); //    ^
@@ -2118,10 +2270,10 @@
                           G4cout<<"G4QE::HQE:(1) QEnv="<<envPDG<<e4M<<G4endl;       //    ^
 #endif
-			                     }                     //                                          ^
-			                     else                  // Try to recover                           ^
+                        }                     //                                          ^
+                        else                  // Try to recover                           ^
                         {                     //                                          ^
                           //if(eCount==1&&CheckGroundState(pQ,true)) // @@ BackFusion     ^
                           if(eCount==1&&CheckGroundState(pQ))// BackFusion attempt        ^
-						                    {                   //                                          ^
+                          {                   //                                          ^
                             pQ->KillQuasmon();// ??                                       ^
                             eCount--;         // Reduce a#of theLivingQuasmons            ^
@@ -2138,5 +2290,5 @@
                                 <<"(M="<<h1M<<")+h2="<<h1QPDG<<"(M="<<h2M<<")+EM="<<envM//^
                                 <<"="<<h1M+h2M+envM<<G4endl; //                           ^
-			                       //throw G4QException("G4QEnv::HQE:(0)Chi+Env mass > totMass");//^
+                          //throw G4QException("G4QEnv::HQE:(0)Chi+Env mass > totMass");//^
 #endif
                           CleanUp();          //                                          ^
@@ -2144,6 +2296,6 @@
                           EvaporateResidual(evH);  // Evaporate residual (del. equiv.)    ^
                           return theQHadrons; //                                          ^
-			                     }                     //                                          ^
-		                    }                       //                                          ^
+                        }                     //                                          ^
+                      }                       //                                          ^
                       else                    // => "Two particles decay" case            ^
                       {                       //                                          ^
@@ -2157,19 +2309,19 @@
                           output->clear();    // -->-->-->-->-->-->-->-->-->-->-->-->-->--^
                           delete output;      // >========================================^
-				                      throw G4QException("***G4QEnv::HadrQEnv: Q+Env DecIn2 error");//^
-			                     }                     //                                          ^
+                          throw G4QException("***G4QEnv::HadrQEnv: Q+Env DecIn2 error");//^
+                        }                     //                                          ^
                         G4QHadron* qH = new G4QHadron(qPDG,fq4M);// the out going Quasmon ^
                         theQHadrons.push_back(qH); // (delete equivalent)                 ^
 #ifdef pdebug
-						                  G4cout<<"G4QE::HQE:QuasmH="<<qPDG<<fq4M<<G4endl;         //       ^
+                        G4cout<<"G4QE::HQE:QuasmH="<<qPDG<<fq4M<<G4endl;         //       ^
 #endif
                         G4QHadron* qeH = new G4QHadron(envPDG,qe4M);//theRecoilEnvironment^
 #ifdef pdebug
-						                  G4cout<<"G4QE::HQE:EnvironH="<<envPDG<<qe4M<<G4endl;     //       ^
+                        G4cout<<"G4QE::HQE:EnvironH="<<envPDG<<qe4M<<G4endl;     //       ^
 #endif
                         if(envPDG==92000000||envPDG==90002000||envPDG==90000002) //       ^
                           theEnvironment.DecayDibaryon(qeH,&theQHadrons);        //       ^
                         else theQHadrons.push_back(qeH);// (del.equiv.) *** this too ***  ^
-		                    }                       //                                          ^
+                      }                       //                                          ^
                       for_each(output->begin(),output->end(),DeleteQHadron());//-->-->-->-^
                       output->clear();        //                                          ^
@@ -2181,8 +2333,8 @@
                   }                           //                                          ^
                   else if(eCount>1&&(nCount>nCnMax||theEnvironment.GetA()<2))// 2Quasmons ^
-																		{                                  //                                   ^
+                  {                                  //                                   ^
                     theEnvironment.InitByPDG(NUCPDG);// KillEnvironment(@@ Q's? CleanUp)) ^
 #ifdef fdebug
-					               G4cout<<"G4QEnv::HQE:Evaporate Env+Quasm Env="<<curE<<G4endl;//       ^
+                    G4cout<<"G4QEnv::HQE:Evaporate Env+Quasm Env="<<curE<<G4endl;//       ^
 #endif
                     G4QHadron* nucQE = new G4QHadron(curQC,t4M);// Hadron for Quasm+Envir.^
@@ -2190,5 +2342,5 @@
                     pQ->KillQuasmon();        // If BackFusion succeeded, kill theQuasmon ^
 #ifdef edebug
-     		             G4cout<<"G4QEnv::HQE:StatusAfterKill (#"<<jq<<")="<<pQ->GetStatus()// ^
+                    G4cout<<"G4QEnv::HQE:StatusAfterKill (#"<<jq<<")="<<pQ->GetStatus()// ^
                           <<", nH="<<theQHadrons.size()<<G4endl;                       // ^
 #endif
@@ -2199,5 +2351,5 @@
                   if(eCount==1 && tM>=curM)   //==>for one Quasmon evaporate ResTotN      ^
                   {                           //                                          ^
-                    theEnvironment.InitByPDG(NUCPDG); // Cancele the Environment          ^
+                    theEnvironment.InitByPDG(NUCPDG);// Cancele the Environment           ^
                     G4int ttPDG=totQC.GetSPDGCode(); // Total PDG Code (10 - Chipolino)   ^
 #ifdef pcdebug
@@ -2210,5 +2362,5 @@
                     G4int ttBN=totQC.GetBaryonNumber(); //                                ^
                     if(ttPDG==10&&ttBN<2)     // Chipolino case                           ^
-					               {                         //                                          ^
+                    {                         //                                          ^
                       G4QChipolino QCh(totQC);// define the TotalResidual as a Chipolino  ^
                       G4QPDGCode   h1QPDG=QCh.GetQPDG1();  // QPDG of the first hadron    ^
@@ -2223,12 +2375,12 @@
                         if(!G4QHadron(tot4M).DecayIn2(h14M,h24M)) //                      ^
                         {                     //                                          ^
-				                      G4cerr<<"***G4QE::HQE:tM="<<ttM<<"->h1="<<h1QPDG<<"("<<h1M //   ^
+                          G4cerr<<"***G4QE::HQE:tM="<<ttM<<"->h1="<<h1QPDG<<"("<<h1M //   ^
                                 <<")+h2="<<h1QPDG<<"("<<h2M<<"="<<h1M+h2M<<G4endl;   //   ^
-				                      throw G4QException("**G4QE::HadrQEnv:QChip (1) DecIn2 error");//^
-			                     }                     //                                          ^
+                          throw G4QException("**G4QE::HadrQEnv:QChip (1) DecIn2 error");//^
+                        }                     //                                          ^
                         G4QHadron* h1H = new G4QHadron(h1QPDG.GetPDGCode(),h14M);    //   ^
                         theQHadrons.push_back(h1H);               // (delete equivalent)  ^
 #ifdef pdebug
-						                  G4cout<<"G4QE::HQE: QCip-> H1="<<h1QPDG<<h14M<<G4endl;       //   ^
+                        G4cout<<"G4QE::HQE: QCip-> H1="<<h1QPDG<<h14M<<G4endl;       //   ^
 #endif
                         G4QHadron* h2H = new G4QHadron(h2QPDG.GetPDGCode(),h24M);    //   ^
@@ -2240,11 +2392,11 @@
                       else                    //                                          ^
                       {                       //                                          ^
-				                    G4cerr<<"***G4QE::HQE:tM="<<ttM<<totQC<<"->h1="<<h1QPDG<<"(" //   ^
+                        G4cerr<<"***G4QE::HQE:tM="<<ttM<<totQC<<"->h1="<<h1QPDG<<"(" //   ^
                               <<h1M<<")+h2="<<h1QPDG<<"("<<h2M<<"="<<h1M+h2M<<G4endl;//   ^
-				                    throw G4QException("***G4QE::HadrQEnv:QChip (2) DecIn2 error");// ^
-			                   }                       //                                          ^
+                        throw G4QException("***G4QE::HadrQEnv:QChip (2) DecIn2 error");// ^
+                      }                       //                                          ^
                     }                         //                                          ^
                     else                      //                                          ^
-					               {                         //                                          ^
+                    {                         //                                          ^
 #ifdef edebug
                       if(ttPDG<80000000&&ttBN<1) //                                       ^
@@ -2272,5 +2424,5 @@
                   G4int PDGQ=QPDGQ.GetPDGCode();  // PDG Code of the QUASMON              ^
 #ifdef edebug
-				              G4cout<<"G4QEnv::HadrQEnv: vacuum PDGQ="<<PDGQ<<G4endl; //              ^
+                  G4cout<<"G4QEnv::HadrQEnv: vacuum PDGQ="<<PDGQ<<G4endl; //              ^
 #endif
                   if(!PDGQ) status=-1;        // Unknown Quasmon in Vaquum - PANIC        ^
@@ -2279,5 +2431,5 @@
                   {                           //                                          ^
 #ifdef edebug
-				                G4cout<<"G4QEnv::HadrQEnv:Sigma Mass="<<cqMass<<G4endl;      //       ^
+                    G4cout<<"G4QEnv::HadrQEnv:Sigma Mass="<<cqMass<<G4endl;      //       ^
 #endif
                     G4double hyM=mNeut;       // Prototype of the hyperon mass            ^
@@ -2286,23 +2438,23 @@
                     G4int    pigPDG=-211;     // Prototype of the gamma/pion PDG Code     ^
                     if(PDGQ==3112||PDGQ==90999001) // --> "Sigma-" case                   ^
-					               { //                                                                  ^
+                    { //                                                                  ^
                       if(cqMass>mPi+mLamb)    // "Lambda + Pi- is possible" case          ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         hyM   = mLamb;        // Lambda mass                              ^
                         hyPDG = 3122;         // Lambda PDG Code                          ^
-					                 } //                                                                ^
+                      } //                                                                ^
                       else if(cqMass>mSigM)   // "Sigma- gamma decay" case                ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         hyM=mSigM;            // Sigma- mass                              ^
                         hyPDG=3112;           // Sigma- PDG Code                          ^
                         pigM=0.;              // Gamma mass                               ^
                         pigPDG=22;            // Gamma PDG Code                           ^
-					                 } //                                                                ^
+                      } //                                                                ^
                     } //                                                                  ^
                     else if(PDGQ==3222||PDGQ==91000999) // --> "Sigma+" case              ^
-					               { //                                                                  ^
+                    { //                                                                  ^
                       pigPDG= 211;            // Pi+ PDG Code                             ^
                       if(cqMass>mPi+mLamb)    // --- "Lambda + Pi+ is possible" case      ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         hyM   = mLamb;        // Lambda mass                              ^
                         hyPDG = 3122;         // Lambda PDG Code                          ^
@@ -2311,24 +2463,24 @@
                       } //                                                                ^
                       else if(cqMass>mSigP)   // "Sigma- gamma decay" case                ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         hyM=mSigP;            // Sigma+ mass                              ^
                         hyPDG=3222;           // Sigma+ PDG Code                          ^
                         pigM=0.;              // Gamma mass                               ^
                         pigPDG=22;            // Gamma PDG Code                           ^
-					                 } //                                                                ^
+                      } //                                                                ^
                       else if(cqMass>mPi0+mProt&&G4UniformRand()>.5) // "P + Pi0" case    ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         hyM   = mProt;        // Proton mass                              ^
                         hyPDG = 2212;         // Proton PDG Code                          ^
                         pigM  = mPi0;         // Pi0 mass                                 ^
                         pigPDG= 111;          // Pi0 PDG Code                             ^
-					                 } //                                                                ^
+                      } //                                                                ^
                       else if(cqMass<mPi+mNeut)// "P+gamma" case as "N+Pi+" is impossible ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         hyM   = mProt;        // Proton mass                              ^
                         hyPDG = 2212;         // Proton PDG Code                          ^
                         pigM=0.;              // Gamma mass                               ^
                         pigPDG=22;            // Gamma PDG Code                           ^
-					                 } //                                                                ^
+                      } //                                                                ^
                       // othing should be done for "N + P+" case                          ^
                     } //                                                                  ^
@@ -2336,11 +2488,11 @@
                     G4LorentzVector m4Mom(0.,0.,0.,pigM);// pion/gamma mass               ^
                     if(!G4QHadron(cq4M).DecayIn2(b4Mom, m4Mom)) // "DecayIn2 failed" case ^
-					               { //                                                                  ^
+                    { //                                                                  ^
                       G4cout<<"---Warning---G4QE::HQE:H="<<hyPDG<<"(m="<<hyM<<")+G/Pi=" //^
-							                     <<pigPDG<<"(m="<<pigM<<")="<<hyM+pigM<<">"<<cqMass<<G4endl; //^
+                            <<pigPDG<<"(m="<<pigM<<")="<<hyM+pigM<<">"<<cqMass<<G4endl; //^
                       G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC             ^
                       CleanUp();              //                                          ^
-		                    if(!CheckGroundState(quasH,true)) // Last posibility to correct     ^
-					                 { //                                                                ^
+                      if(!CheckGroundState(quasH,true)) // Last posibility to correct     ^
+                      { //                                                                ^
                         G4QHadron* hadr = new G4QHadron(totQC,tot4M); //                  ^
                         theQHadrons.push_back(hadr);    // Cor or fill as It Is           ^
@@ -2348,5 +2500,5 @@
                         G4cout<<"-Warn-G4QE::HQE:Sig,QC="<<totQC<<",4M="<<tot4M<<G4endl;//^
 #endif
-    	                   //throw G4QException("G4QEnvironment::HadronizeQEnv:Sig error");//^
+                        //throw G4QException("G4QEnvironment::HadronizeQEnv:Sig error");//^
                       } //                                                                ^
                       delete quasH;          // Delete the temporary fake Quasmon         ^
@@ -2354,5 +2506,5 @@
                     } //                                                                  ^
 #ifdef pdebug
-	                   G4cout<<"G4QEnv::HadronizeQEnv: Sigma="<<PDGQ<<cq4M<<" -> Hyperon="// ^
+                    G4cout<<"G4QEnv::HadronizeQEnv: Sigma="<<PDGQ<<cq4M<<" -> Hyperon="// ^
                           <<hyPDG<<b4Mom<<" + Gamma/Pi="<<pigPDG<<m4Mom<<G4endl; //       ^
 #endif
@@ -2365,9 +2517,9 @@
                     totQC-=qQC;               // Update total residual QC of HadrPr.      ^
                     eCount--;                 // Reduce a#of the living Quasmons          ^
-				              }                           //                                          ^
+                  }                           //                                          ^
                   else if(PDGQ==90999002||PDGQ==91001999) // pS+/nS-                      ^
                   {                           //                                          ^
 #ifdef edebug
-				                G4cout<<"G4QEnv::HadrQEnv: Nucleon+Sigma Mass="<<cqMass<<G4endl; //   ^
+                    G4cout<<"G4QEnv::HadrQEnv: Nucleon+Sigma Mass="<<cqMass<<G4endl; //   ^
 #endif
                     G4bool dinFlag = false;   // Di-nucleon flag                          ^
@@ -2377,7 +2529,7 @@
                     G4int    pigPDG=2112;     // Prototype of the nucleon PDG Code        ^
                     if     (PDGQ==90999002)   // --> "n+Sigma-" case                      ^
-					               {                         //                                          ^
+                    {                         //                                          ^
                       if(cqMass<mNeut+mSigM)  // ----> "DiNeutron+Pi-" case               ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         dinFlag = true;       // For the final decay                      ^
                         hyM=mNeut+mNeut;      // Di-neutron                               ^
@@ -2385,8 +2537,8 @@
                         pigM=mPi;             // Pi- mass                                 ^
                         pigPDG=-211;          // Pi- PDG Code                             ^
-					                 } //                                                                ^
+                      } //                                                                ^
                     } //                                                                  ^
                     else if(PDGQ==91001999)   // --> "p+Sigma+" case                      ^
-					               { //                                                                  ^
+                    { //                                                                  ^
                       hyM=mSigP;              // Sigma+                                   ^
                       hyPDG=3222;             // PDG Code of Sigma+                       ^
@@ -2394,21 +2546,21 @@
                       pigPDG=2212;            // PDG Code of proton                       ^
                       if(cqMass<mProt+mSigP)  // ----> "Proton+Proton" case               ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         hyM=mProt;            // Proton mass                              ^
                         hyPDG=2212;           // Proton PDG Code                          ^
                         pigM=mProt;           // Proton mass                              ^
                         pigPDG=2212;          // Proton PDG Code                          ^
-					                 } //                                                                ^
+                      } //                                                                ^
                     } //                                                                  ^
                     G4LorentzVector b4Mom(0.,0.,0.,hyM); // Hyperon (di-nucleon) mass     ^
                     G4LorentzVector m4Mom(0.,0.,0.,pigM);// Nucleon (pion) mass           ^
                     if(!G4QHadron(cq4M).DecayIn2(b4Mom, m4Mom)) // "DecayIn2 failed" case ^
-					               { //                                                                  ^
+                    { //                                                                  ^
                       G4cout<<"--Warning--G4QE::HQE:S/D="<<hyPDG<<"(m="<<hyM<<")+N/Pi=" //^
-							                     <<pigPDG<<"(m="<<pigM<<")="<<hyM+pigM<<">"<<cqMass<<G4endl; //^
+                            <<pigPDG<<"(m="<<pigM<<")="<<hyM+pigM<<">"<<cqMass<<G4endl; //^
                       G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC             ^
                       CleanUp();              //                                          ^
-		                    if(!CheckGroundState(quasH,true)) // Last posibility to correct     ^
-					                 { //                                                                ^
+                      if(!CheckGroundState(quasH,true)) // Last posibility to correct     ^
+                      { //                                                                ^
                         G4QHadron* hadr = new G4QHadron(totQC,tot4M); //                  ^
                         theQHadrons.push_back(hadr);    // Cor or fill as It Is           ^
@@ -2416,5 +2568,5 @@
                         G4cout<<"-Warn-G4QE::HQE:Sig,QC="<<totQC<<",4M="<<tot4M<<G4endl;//^
 #endif
-    	                   //throw G4QException("G4QEnvironment::HadronizeQEnv:Sig error");//^
+                        //throw G4QException("G4QEnvironment::HadronizeQEnv:Sig error");//^
                       } //                                                                ^
                       delete quasH;          // Delete the temporary fake Quasmon         ^
@@ -2422,5 +2574,5 @@
                     } //                                                                  ^
 #ifdef pdebug
-	                   G4cout<<"G4QEnv::HadronizeQEnv: NSigma="<<PDGQ<<cq4M<<"-> Sigma/dN="//^
+                    G4cout<<"G4QEnv::HadronizeQEnv: NSigma="<<PDGQ<<cq4M<<"-> Sigma/dN="//^
                           <<hyPDG<<b4Mom<<" + N/Pi="<<pigPDG<<m4Mom<<G4endl; //           ^
 #endif
@@ -2429,5 +2581,5 @@
                     theQHadrons.push_back(curBar); // Fill the Hyperon (delete equivalent)^
                     if(dinFlag)               //                                          ^
-					               {                         //                                          ^
+                    {                         //                                          ^
                       G4QHadron* secBar = new G4QHadron(hyPDG,b4Mom);// Cre. 2-nd nucleon ^
                       theQHadrons.push_back(secBar);// Fill 2-nd nucleon (delete equiv.)  ^
@@ -2439,9 +2591,9 @@
                     totQC-=qQC;               // Update total residual QC of HadrPr.      ^
                     eCount--;                 // Reduce a#of the living Quasmons          ^
-				              }                           //                                          ^
+                  }                           //                                          ^
                   else if(PDGQ==90999003||PDGQ==91002999) // ppS+/nnS-                    ^
                   {                           //                                          ^
 #ifdef edebug
-				                G4cout<<"G4QEnv::HadrQEnv: DiNucleon+Sigma Mass="<<cqMass<<G4endl; // ^
+                    G4cout<<"G4QEnv::HadrQEnv: DiNucleon+Sigma Mass="<<cqMass<<G4endl; // ^
 #endif
                     G4bool dinFlag = false;   // Di-nucleon flag                          ^
@@ -2451,7 +2603,7 @@
                     G4int    pigPDG=2112;     // Prototype of the nucleon PDG Code        ^
                     if     (PDGQ==90999003)   // --> "n+Sigma-" case                      ^
-					               {                         //                                          ^
+                    {                         //                                          ^
                       if(cqMass<pigM+mSigM)   // ----> "DiNeutron+Pi-" case               ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         dinFlag = true;       // For the final decay                      ^
                         pigM=mNeut+mNeut+mNeut;// Tri-neutron                             ^
@@ -2459,8 +2611,8 @@
                         hyM=mPi;              // Pi- mass                                 ^
                         hyPDG=-211;           // Pi- PDG Code                             ^
-					                 } //                                                                ^
+                      } //                                                                ^
                     } //                                                                  ^
                     else if(PDGQ==91002999)   // --> "p+Sigma+" case                      ^
-					               { //                                                                  ^
+                    { //                                                                  ^
                       hyM=mSigP;              // Sigma+                                   ^
                       hyPDG=3222;             // PDG Code of Sigma+                       ^
@@ -2468,5 +2620,5 @@
                       pigPDG=2212;            // PDG Code of proton                       ^
                       if(cqMass<pigM+mSigP)   // ----> "DiProton+Pi+" case                ^
-					                 { //                                                                ^
+                      { //                                                                ^
                         dinFlag = true;       // For the final decay                      ^
                         pigM=mProt+mProt+mProt;// Tri-proton                              ^
@@ -2474,16 +2626,16 @@
                         hyM=mPi;             // Pi+ mass                                  ^
                         hyPDG=211;           // Pi+ PDG Code                              ^
-					                 } //                                                                ^
+                      } //                                                                ^
                     } //                                                                  ^
                     G4LorentzVector b4Mom(0.,0.,0.,hyM); // Hyperon (di-nucleon) mass     ^
                     G4LorentzVector m4Mom(0.,0.,0.,pigM);// Nucleon (pion) mass           ^
                     if(!G4QHadron(cq4M).DecayIn2(b4Mom, m4Mom)) // "DecayIn2 failed" case ^
-					               { //                                                                  ^
+                    { //                                                                  ^
                       G4cout<<"--Warning--G4QE::HQE:S/Pi="<<hyPDG<<"(m="<<hyM<<")+D/T=" //^
-							                     <<pigPDG<<"(m="<<pigM<<")="<<hyM+pigM<<">"<<cqMass<<G4endl; //^
+                            <<pigPDG<<"(m="<<pigM<<")="<<hyM+pigM<<">"<<cqMass<<G4endl; //^
                       G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC             ^
                       CleanUp();              //                                          ^
-		                    if(!CheckGroundState(quasH,true)) // Last posibility to correct     ^
-					                 { //                                                                ^
+                      if(!CheckGroundState(quasH,true)) // Last posibility to correct     ^
+                      { //                                                                ^
                         G4QHadron* hadr = new G4QHadron(totQC,tot4M); //                  ^
                         theQHadrons.push_back(hadr);    // Cor or fill as It Is           ^
